Package in.cdac.medinfo.csnotk.csnolib.model

## Class VersionedComponent

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent

- Direct Known Subclasses:
    `Component`, `Derivative`, `Identifier`

      public abstract class VersionedComponent
      extends java.lang.Object

  VersionedComponent is the super class for all the Components Defined as an abstract class as it need not be instantiated

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Byte` | `getActiveStatus()` | Retrieves active status of a component.
    `java.lang.String` | `getModuleId()` |
    `java.util.Date` | `getTime()` |
    `void` | `setActiveStatus​(java.lang.Byte active)` | sets the active status attribute of a component
    `void` | `setModuleId​(java.lang.String modId)` | sets the module Id attribute of a component object
    `void` | `setTime​(java.util.Date date)` | sets the effective time for the component

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTime

          public java.util.Date getTime()

      Returns:
        effective time of that component

    - #### setTime

          public void setTime​(java.util.Date date)

      sets the effective time for the component
      Parameters:
        `date` - - represents effective time

    - #### getActiveStatus

          public java.lang.Byte getActiveStatus()

      Retrieves active status of a component.
      Returns:
        activeStatus of a component

    - #### setActiveStatus

          public void setActiveStatus​(java.lang.Byte active)

      sets the active status attribute of a component
      Parameters:
        `active` - represents active Status of the component

    - #### getModuleId

          public java.lang.String getModuleId()

      Returns:
        module Id of a component

    - #### setModuleId

          public void setModuleId​(java.lang.String modId)

      sets the module Id attribute of a component object
      Parameters:
        `modId` - represents module Id of a component